# Quotas

The Didomi platform enforces quotas for some integrations such as batch exports. Quotas are designed to protect the platform and ensure the availability and performance of our services for all our customers. Each quota is organization-specific and is enforced at the organization level.

## **Integrations** quotas

We currently enforce the following quotas:

| ID                     | Default value | Description                                                                  |
| ---------------------- | ------------- | ---------------------------------------------------------------------------- |
| `exports_configs`      | 3             | Number of batch export configurations that can be enabled simultaneously.    |
| `exports_destinations` | 2             | Number of batch export destinations that can be attached to a configuration. |

## **View your organization quotas**

To view the quotas applied to your organization, send an authenticated HTTP GET request to `https://api.didomi.io/v1/quotas` with your organization ID as a query-string parameter. Example:

```bash
curl -H "Authorization: Bearer <token>" https://api.didomi.io/v1/quotas?organization_id=<YOUR_ORGANIZATION_ID>
```

The response will looks like this:

```javascript
{
    "data": [
        {
            "exports_configs": 3,
            "exports_destinations": 2,
            "id": "...",
            "organization_id": "...",
            "created_at": "...",
            "updated_at": "...",
            "version": 0
        }
    ],
    "total": 1,
    "limit": 100,
    "skip": 0
}
```

## **Request a quota increase**

If you want to request an increase of any of the existing quotas, reach out to <support@didomi.io>. We do our best to accommodate increase requests but cannot guarantee that we will fulfill them.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.didomi.io/integrations/introduction/quotas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
